<!-- Modal -->
<div id="groppopUp" class="modal fade" role="dialog">
    <div class="modal-dialog">
  
      <!-- Modal content-->
      <div class="modal-content groppopUp">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal">&times;</button>
          <h4 class="modal-title">Create Group</h4>
          <p>
              Short notes about the group goes here.
          </p>
        </div>

        <div class="subHearder">
            <div class="searchBar">
                <ul class="lhs">
                   <li class="DB"><span class="textLabel">Group name</span></li>
                   <li class="DB"><input type="text"  class="seacrh" [(ngModel)]="mainGroupName" placeholder="e.g. Grade ‘A’ students"/></li>
                </ul>

              <ul class="lhs">
                <li class="DB"><span class="textLabel">Group Email</span></li>
                <li class="DB"><input type="text"  class="seacrh" [(ngModel)]="mainGroupEmail" placeholder="e.g. GradeA@gmail.com"/></li>
              </ul>

                <div class="pull-right">                    
                  <div class="auto">
                      <div class="checkBtn" (click)="fnToggle()"></div>
                      <p>Auto create a email group for the checked students</p>
                  </div>
                    <button class="btn btn-cyean"(click)="saveAssginmentGroupDetails()" data-dismiss="modal" >Save group</button>
                </div>


             </div>

            
        </div>


        <div class="modal-body">
            <div class="tab-pane fade in active">
                <div class="searchBar">
                   <ul class="lhs">
                      <li class="w1"><span class="searchIcong"></span></li>
                      <li class="w2"><input type="text"  class="seacrh"    [(ngModel)]="searchTextData"  placeholder="Search students"/></li>
                   </ul>
                </div>
                <div class="tableCont table-responsive">
                   <table class="table">
                      <thead>
                         <tr>
                            <th style="width:50px">
                               <div class="checkBtn" (click)="fnToggle()"></div>
                            </th>
                            <th>
                               <p class="profileName">NAME</p>
                            </th>
                            <th>EMAIL</th>
                            <th>ATTENDANCE</th>
                            <th>PERFORMANCE</th>
                         </tr>
                      </thead>

                      <tbody *ngIf="selectedStudentList.length>0">
                         <tr  *ngFor=" let student of selectedStudentList | grdFilter: {studentName: searchTextData};">
                            <td>
                               <div class="checkBtn"(click)="fnToggle()"></div>
                            </td>
                            <td>
                               <div class="userProfile">
                                  <div class="profilePic">
                                     <img src="assets/image/profilePic.png" />
                                  </div>
                                  <p class="profileName">{{student.studentName}}</p>
                               </div>
                            </td>
                            <td>{{student.studentEmail}}</td>
                            <td>
                               <div class="porgStatus">
                                  <span class="no">{{student.studentAttendance}}%</span>
                                  <div class="progBar">
                                     <span class="activeBar alert1" style="width:{{student.studentAttendance}}%"></span>
                                  </div>
                               </div>
                            </td>
                            <td>
                               <div class="porgStatus">
                                  <span class="no">{{student.studentPeformance}}%</span>
                                  <div class="progBar">
                                     <span class="activeBar alert2" style="width:{{student.studentPeformance}}%"></span>
                                  </div>
                               </div>
                            </td>
                         </tr>

                      </tbody>
                   </table>
                </div>
               
             </div>
        </div>
      
      </div>
  
    </div>
  </div>
